<template>
    <main class="flex-1 overflow-x-hidden overflow-y-auto bg-gray-200">
        <div class="container mx-auto px-6 py-8">
            <div class="mt-24">
                <tbody class="bg-white" v-for="user in this.users">
                <tr>
                    <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
                        <div class="flex items-center">
                            <div class="flex-shrink-0 h-10 w-10">
                            </div>

                            <div class="ml-4">
                                <router-link :to="`/users/${user.id}`">
                                    <div class="text-sm leading-5 font-medium text-gray-900">{{ user.email }}
                                    </div>
                                </router-link>
                                <div class="text-sm leading-5 text-gray-500"><button class="px-4 py-2 text-white font-semibold bg-blue-500 rounded mt-24 justify-between" @click="onClick(user)">
                                    Email
                                </button></div>
                            </div>
                        </div>
                    </td>

                    <td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
                                                <span
                                                    class="px-2 inline-flex text-xs leading-5 font-semibold rounded-full bg-green-100 text-green-800">Үнэ: {{ user.name }}</span>
                    </td>
                </tr>
                </tbody>
            </div>
        </div>
    </main>
</template>
<script>
import axios from "axios";
import FeedbackEmail from "./Feedback/Email"
export default {
    data(){
        return{
            users: null
        }
    },
    name: "Information",
    created() {
        this.load();
    },
    methods:{
        onClick(users)
        {
            this.$buefy.modal.open(
                {
                    component: FeedbackEmail,
                    props : {
                        users
                    },
                }
            );
        },
        load(){
            axios.get('http://localhost:8000/api/user/display').then(response =>
            {
                this.users=response.data.data;
            })
        }
    },
    components:
        {
            "FeedbackEmail" :FeedbackEmail
        }
}
</script>
